Qt 5.9 | Qt Positioning | C++ Classes | QGeoSatelliteInfo

Qt 5.9.9 Reference Documentation

# List of All Members for QGeoSatelliteInfo

This is the complete list of members for QGeoSatelliteInfo, including inherited members.

- enum Attribute
- enum SatelliteSystem
- QGeoSatelliteInfo()
- QGeoSatelliteInfo(const QGeoSatelliteInfo &)
- ~QGeoSatelliteInfo()
- attribute(Attribute ) const : qreal
- hasAttribute(Attribute ) const : bool
- removeAttribute(Attribute )
- satelliteIdentifier() const : int

- satelliteSystem() const : SatelliteSystem
- setAttribute(Attribute , qreal )
- setSatelliteIdentifier(int )
- setSatelliteSystem(SatelliteSystem )
- setSignalStrength(int )
- signalStrength() const : int
- operator!=(const QGeoSatelliteInfo &) const : bool
- operator=(const QGeoSatelliteInfo &) : QGeoSatelliteInfo &
- operator==(const QGeoSatelliteInfo &) const : bool